import java.awt.event.*;

public class FieldKeyListener implements KeyListener{
    FormationEditor fe;

    public void keyPressed(KeyEvent e){
	if (fe == null) fe = FormationEditor.instance;

	if (e.getKeyCode() == KeyEvent.VK_CONTROL){
	    fe.pressedKeyCodeOnField = KeyEvent.VK_CONTROL;
	    // System.out.println("CTRL pressed");
	}
	if (e.getKeyCode() == KeyEvent.VK_ALT){
	    fe.pressedKeyCodeOnField = KeyEvent.VK_ALT;
	    // System.out.println("ALT pressed");
	}	
	if (e.getKeyCode() == KeyEvent.VK_Q){
	    Pong.keyPressed = -1;
	}
	if (e.getKeyCode() == KeyEvent.VK_A){
	    Pong.keyPressed =  1;
	}
    }
    public void keyReleased(KeyEvent e){
	if (fe == null) fe = FormationEditor.instance;
	fe.pressedKeyCodeOnField = -1;
	Pong.keyPressed = 0;
	// System.out.println("Key released");
    }
    public void keyTyped(KeyEvent e){}
}
