import javax.swing.table.*;
import javax.swing.*;
import java.awt.*;

public class FormationTable extends JTable{

    public FormationTable(TableModel tb){
	super(tb);
    }

    CheckBoxRenderer cbr[] = new CheckBoxRenderer[11];
    CheckBoxEditor cbe[] = new CheckBoxEditor[11];
    public TableCellRenderer getCellRenderer(int row, int column){	    	    
	if (row == 8){
	    if (cbr[column] == null) cbr[column] = new CheckBoxRenderer();
	    return cbr[column];
	}
	//return super.getCellRenderer(row, column);
	return new FormationTableCellRenderer();
    }
    public TableCellEditor getCellEditor(int row, int column){
	if (row == 8){
	    if (cbe[column] == null) cbe[column] = new CheckBoxEditor(new JCheckBox());
	    return cbe[column];
	}	
	return super.getCellEditor(row, column);	    
    }
};
