import java.util.LinkedList;

public class StatisticsLine{
    public LinkedList points = new LinkedList();
    public long addedValue = 0;
    
    StatisticsLine(int nx, int ny){
	points.add(new StatisticsPoint(nx,ny,0,0));
    }
    public StatisticsLine(int nx, float ny){
	points.add(new StatisticsPoint(nx,(int)(ny*100),0,0));
    }
    public void addPoint(int nx, float ny, int nc, int nsc){
	addPoint(nx, (int)(ny*100), nc, nsc);
    }
    public void addPoint(int nx, int ny, int nc, int nsc){
	addedValue += ny;
	points.add(new StatisticsPoint(nx,ny,nc,nsc));
	//System.out.println("Neuer Punkt: ("+nx+","+ny+")");
    }
    public float getMeanValue(){
	return (float)(((double)(addedValue / (long)points.size()))/100.0f);
    }
    public float getMeanValueFromTo(int a, int b){
	if (a < 0) return 0;	   
	long sum = 0;
	if (b >= points.size()) b = points.size() - 1;
	int values = b - a + 1;
	for(int i = 0; i < values; i++){
	    sum += ((StatisticsPoint)points.get(i+a)).y;
	}
	return (float)((sum/values)/100.0f);
    }
}
