#ifndef __CENTER_BACK_BEHAVIOUR
#define __CENTER_BACK_BEHAVIOUR

#include "Agent.hh"

class CenterBackBehaviour : public Behaviour
{

public:

  /** Creates a Center Back Behaviour and initializes it
      @param leftWing is this the left Center Back or the right one
  */

  CenterBackBehaviour(bool leftWing);
  
  /** Destroys the Center Back Behaviour */
  virtual ~CenterBackBehaviour();
  void playOnWithBall();
  void coverEnemy();
  void playOnWithoutBall();
private:

  /** Determines whether this is the left Center Back*/
  bool left;

};


#endif
