import java.io.*;

public class ConfFileFilter extends javax.swing.filechooser.FileFilter{
    public boolean accept(File f) {
	if (f.isDirectory()) {
	    return true;
	}
	    
	String extension = f.getName().substring(f.getName().lastIndexOf('.')+1).toLowerCase();
	if (extension != null) {
	    if (extension.equals("conf")) {
		return true;
	    } else {
		return false;
	    }
	}		    
	return false;
    }
    public boolean accept(String f) {
	String extension = f.substring(f.lastIndexOf('.')+1).toLowerCase();
	if (extension != null) {
	    if (extension.equals("conf")) {
		return true;
	    } else {
		return false;
	    }
	}		    
	return false;
    }
    public String getDescription(){ return "CONF-Filter"; }
}
