/**********************************************************************
 * ServerCommands.cc
 * Copyright (c) 2002 Virtual Werder
 *
 * implements:
 *
 *   class  ServerCommands
 *   class  ServerCommandHistory
 *   struct ServerCommandCounters
 *
 * requires:
 *
 *
 * Created on: 25.03.2002 by wenns
 * Maintainer: cyco
 * Group:
 * Co-authors:
 *
 * Changelog:
 *
 * $Id:
 *
 **********************************************************************/

#include "ServerCommands.hh"

ServerCommandHistory::ServerCommandHistory(){
  clear();
}

ServerCommandHistory::~ServerCommandHistory(){
}

ServerCommands::ServerCommands()
  :mainType (CMD_NONE), commandsSet(0),  commandsGot(0)
{}


bool ServerCommands::getNextOther(char *str) {
  if(commandsGot >= commandsSet){
    strcpy(str, "");
    return false;
  }
  else
    strcpy(str, others[commandsGot++]);

  return true;
};


void ServerCommands::listContent(){
  if(mainSet) {
    cout << "main: " << endl;
    cout << mainCommand << endl << endl;
  }

  cout << "others: " << endl;
  for(int i = 0; i < commandsSet; i++)
    cout << others[i] << endl;
}

