#ifndef __WING_MIDFIELDER_BEHAVIOUR
#define __WING_MIDFIELDER_BEHAVIOUR

#include "Agent.hh"

class WingMidfielderBehaviour : public Behaviour
{
public:

  /** Initializes the Behaviour
      @param leftWing is this the left or the right wing midfielder
  */
  WingMidfielderBehaviour(bool leftWing);

  /** Destroys the WingMidfielderBehaviour*/
  virtual ~WingMidfielderBehaviour();
  void playOnWithBall();
private:

  /** determines if this is the left midfielder or the right*/
  bool left;

};

#endif
