/* ****************************************************************************
 * BodyInfo.hh
 * Copyright (c) 2001 Virtual Werder
 *
 * implements:
 *   class BodyInfo
 *
 * requires:
 *
 * Created on: 29.05.2001 by mag
 * Maintainer: mag
 * Group:
 * Co-authors: wenns
 *
 * Changelog:
 *        
 *****************************************************************************/

#include "BodyInfo.hh"

BodyInfo::BodyInfo()
  : viewQuality(VQ_HIGH), // Standard
    viewWidth(VW_NORMAL), // Standard
  stamina(),
  effort(),
  headAngle(),
  kickCount(0),
  dashCount(0),
  turnCount(0),
  sayCount(0),
  turnNeckCount(0),
  catchCount(0),
  moveCount(0),
  changeViewCount(0),
  tackleExpires(0)
{
}

BodyInfo::~BodyInfo(){
}


